Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QKeyEvent

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QKeyEvent class reference

### Public Functions

- QKeyEvent ( Type type, int key, int ascii, int state, const QString & text = QString::null, bool autorep = FALSE, ushort count = 1 )
- int ascii () const

## Member Function Documentation

### QKeyEvent::QKeyEvent ( Type type, int key, int ascii, int state, const QString & text = QString::null, bool autorep = FALSE, ushort count = 1 )

### int QKeyEvent::ascii () const